# Uses of Interface
org.eclipse.ui.texteditor.IDocumentProvider

Packages that use IDocumentProvider
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IDocumentProvider in org.eclipse.compare

Methods in org.eclipse.compare that return IDocumentProvider
Modifier and Type
Method
Description
`static IDocumentProvider`
SharedDocumentAdapter.`getDocumentProvider(IEditorInput input)`
Returns the document provider for the given editor input.
Methods in org.eclipse.compare with parameters of type IDocumentProvider
Modifier and Type
Method
Description
`void`
ISharedDocumentAdapter.`connect(IDocumentProvider provider, IEditorInput documentKey)`
Connect the given element to its document provider.
`void`
SharedDocumentAdapter.`connect(IDocumentProvider provider, IEditorInput documentKey)`
`void`
ISharedDocumentAdapter.`disconnect(IDocumentProvider provider, IEditorInput documentKey)`
Disconnect the element from the document provider.
`void`
SharedDocumentAdapter.`disconnect(IDocumentProvider provider, IEditorInput documentKey)`
`void`
ISharedDocumentAdapter.`flushDocument(IDocumentProvider provider, IEditorInput documentKey, IDocument document, boolean overwrite)`
Flush the contents of the given document into the typed element that provided the document.
`protected void`
SharedDocumentAdapter.`saveDocument(IDocumentProvider provider, IEditorInput documentKey, IDocument document, boolean overwrite, IProgressMonitor monitor)`
A helper method to save a document.

## Uses of IDocumentProvider in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer with parameters of type IDocumentProvider
Modifier and Type
Method
Description
`void`
SharedDocumentAdapterWrapper.`connect(IDocumentProvider provider, IEditorInput documentKey)`
`void`
SharedDocumentAdapterWrapper.`disconnect(IDocumentProvider provider, IEditorInput documentKey)`
`void`
SharedDocumentAdapterWrapper.`flushDocument(IDocumentProvider provider, IEditorInput documentKey, IDocument document, boolean overwrite)`

## Uses of IDocumentProvider in org.eclipse.ui.editors.text

Classes in org.eclipse.ui.editors.text that implement IDocumentProvider
Modifier and Type
Class
Description
`class`
`FileDocumentProvider`
Shared document provider specialized for file resources (`IFile`).
`class`
`ForwardingDocumentProvider`
A forwarding document provider is a document provider that forwards all requests to a known parent document provider.
`class`
`StorageDocumentProvider`
Shared document provider specialized for `IStorage`s.
`class`
`TextFileDocumentProvider`
Shared document provider specialized for `IFile` based domain elements.
`protected static class`
`TextFileDocumentProvider.NullProvider`
Deprecated.
As of 3.3 - do not use
Methods in org.eclipse.ui.editors.text that return IDocumentProvider
Modifier and Type
Method
Description
`protected final IDocumentProvider`
TextFileDocumentProvider.`getParentProvider()`
Returns the parent document provider.
Methods in org.eclipse.ui.editors.text with parameters of type IDocumentProvider
Modifier and Type
Method
Description
`final void`
TextFileDocumentProvider.`setParentDocumentProvider(IDocumentProvider parentProvider)`
Sets the given parent provider as this document provider's parent document provider.
`void`
ForwardingDocumentProvider.`setParentProvider(IDocumentProvider parentProvider)`
Sets the parent document provider.
Constructors in org.eclipse.ui.editors.text with parameters of type IDocumentProvider
Modifier
Constructor
Description
``
`ForwardingDocumentProvider(String partitioning, IDocumentSetupParticipant documentSetupParticipant, IDocumentProvider parentProvider)`
Creates a new forwarding document provider with a fixed parent document provider.
``
`TextFileDocumentProvider(IDocumentProvider parentProvider)`
Creates a new text file document provider which has the given parent provider.

## Uses of IDocumentProvider in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement IDocumentProvider
Modifier and Type
Class
Description
`class`
`AbstractDocumentProvider`
An abstract implementation of a sharable document provider.
Methods in org.eclipse.ui.texteditor that return IDocumentProvider
Modifier and Type
Method
Description
`IDocumentProvider`
AbstractDecoratedTextEditor.`getDocumentProvider()`
`IDocumentProvider`
AbstractTextEditor.`getDocumentProvider()`
`IDocumentProvider`
DocumentProviderRegistry.`getDocumentProvider(String extension)`
Returns a shared document provider for the given name extension.
`IDocumentProvider`
DocumentProviderRegistry.`getDocumentProvider(IEditorInput editorInput)`
Returns the shared document for the type of the given editor input.
`IDocumentProvider`
ITextEditor.`getDocumentProvider()`
Returns this text editor's document provider.
Methods in org.eclipse.ui.texteditor with parameters of type IDocumentProvider
Modifier and Type
Method
Description
`protected void`
AbstractTextEditor.`setDocumentProvider(IDocumentProvider provider)`
Sets this editor's document provider.